| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csArrayThresholdFixed< N > Class Template Reference
[Containers]

csArray fixed threshold for capacity handlers. More...

`#include <csutil/array.h>`

List of all members.

## Public Member Functions
| csArrayThresholdFixed (size_t x=0)
| Construct. x is ignored.
size_t | GetThreshold () const
| Return the threshold.
csArrayThresholdFixed & | operator= (const csArrayThresholdFixed &)

## Detailed Description

### template<int N>
class csArrayThresholdFixed< N >

csArray fixed threshold for capacity handlers.

The threshold is specified at compile time, hence fixed at runtime.

Definition at line 257 of file array.h.

## Constructor & Destructor Documentation

template<int N>

csArrayThresholdFixed< N >::csArrayThresholdFixed | ( | size_t | x = `0` | ) | `[inline]`

Construct. x is ignored.

Definition at line 261 of file array.h.

## Member Function Documentation

template<int N>

size_t csArrayThresholdFixed< N >::GetThreshold | ( |  | ) | const`[inline]`

Return the threshold.

Definition at line 264 of file array.h.

The documentation for this class was generated from the following file:

- csutil/array.h